Runtime

## org.eclipse.gmf.runtime.common.ui.services.parser
Class GetParserOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.parser.GetParserOperation

All Implemented Interfaces:
  IOperation

public class GetParserOperation
extends java.lang.Object
implements IOperation

Operation to get a parser using an IAdaptable hint for the parser to be used

Constructor Summary
`protected` `GetParserOperation(IAdaptable hint)` Method GetParserOperation.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`IAdaptable` `getHint()` Method getHint.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetParserOperation

    protected GetParserOperation(IAdaptable hint)

  Method GetParserOperation.

Parameters:
  `hint` - IAdaptable hint for the parser to be used

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.
  See Also:
    `IOperation.execute(org.eclipse.gmf.runtime.common.core.service.IProvider)`

### getHint

    public final IAdaptable getHint()

  Method getHint.

  Returns:
    IAdaptable

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.